##############################################################################
#   Copyright (c) 2018 Eynes/E-MIPS (www.eynes.com.ar)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
##############################################################################

from odoo import _, api, fields, models
from odoo.exceptions import ValidationError


class AccountSector(models.Model):
    _name = 'account.sector'

    name = fields.Char(string="Name", required=True)

    @api.constrains('name')
    def _check_name(self):
        for sector in self:
            sectors = self.search([
                ('name', '=ilike', sector.name),
                ('id', '!=', sector.id),
            ])
            if sectors:
                raise ValidationError(
                    _("There is other imputation with same name")
                )
