##############################################################################
#   Copyright (c) 2018 Eynes/E-MIPS (www.eynes.com.ar)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
##############################################################################

from odoo import _, api, fields, models
from odoo.exceptions import ValidationError


class AccountAnalyticAccount(models.Model):
    _name = 'account.analytic.account'
    _inherit = 'account.analytic.account'
    _sql_constraints = [('name_active_unique', 'unique(name, active)', _("There is other CeCo with same name"))]

    @api.constrains('name')
    def _check_name(self):
        for reg in self:
            if reg.name and not str(reg.name).isdigit():
                raise ValidationError(
                    _("The CeCo Name must be number")
                )
            #Name duplicated?
            regs = self.search([
                ('name', '=ilike', reg.name),
                ('id', '!=', reg.id),
            ])
            if regs:
                raise ValidationError(
                    _("There is other CeCo with same name")
                )
