##############################################################################
#   Copyright (c) 2018 Eynes/E-MIPS (www.eynes.com.ar)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
##############################################################################

from odoo import _, api, fields, models
from odoo.exceptions import ValidationError


class HrPosition(models.Model):
    _name = 'hr.position'

    name = fields.Char(
        string='Name'
    )
    code = fields.Integer(
        string='Code'
    )

    _sql_constraints = [
            ('pos_name_uniq',
             'UNIQUE(name, code)',
             'You can not have two position with the same name!'),
    ]

    def get_or_create(self, position):
        hr_position = self.search([
            ('name', '=ilike', position['name']),
            ('code', '=', position['code']),
        ])
        if hr_position:
            return hr_position
        hr_position = self.create({
            'name': position['name'],
            'code': position['code']
        })
        return hr_position
