# -*- coding: utf-8 -*-
###############################################################################
#   Copyright (c) 2019 Eynes/E-MIPS (Gaston Alberto Bertolani)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
###############################################################################

import logging

from odoo import models, api, _
from odoo.exceptions import ValidationError


_logger = logging.getLogger(__name__)


class ReviewedWizard(models.TransientModel):
    _name = 'reviewed.wizard'
    _description = 'Set employee as reviewed'

    @api.model
    def _get_employees(self):
        ctx = self.env.context
        active_ids = ctx.get('active_ids', [])
        employee_obj = self.env['hr.employee']
        if not active_ids:
            return employee_obj
        employees = employee_obj.browse(active_ids)
        return employees

    @api.multi
    def button_confirm(self):
        employees = self._get_employees()
        if not employees:
            raise ValidationError(
                    _("There are not employees selected"))
        employees.set_reviewed()
        return True
